{
  "schema_version": "1.4.0",
  "id": "GHSA-rg5m-35j5-v893",
  "modified": "2022-05-13T01:52:44Z",
  "published": "2022-05-13T01:52:44Z",
  "aliases": [
    "CVE-2018-5251"
  ],
  "details": "In libming 0.4.8, there is an integer signedness error vulnerability (left shift of a negative value) in the readSBits function (util/read.c). Remote attackers can leverage this vulnerability to cause a denial of service via a crafted swf file.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2018-5251"
    },
    {
      "type": "WEB",
      "url": "https://github.com/libming/libming/issues/97"
    },
    {
      "type": "WEB",
      "url": "https://lists.debian.org/debian-lts-announce/2018/03/msg00008.html"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201904-24"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-681"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2018-01-05T20:29:00Z"
  }
}